
QGIS Application - Bug report #18404

missing CRSs

2018-03-10 02:03 PM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 26294

Description

common CRSs like 4326 and 3587 are missing from QGIS and there are many CRSs that just say 'imported from GDAL'

I installed from ubuntugis

Related issues:

Related to QGIS Application - Bug report # 18405: CRS selector does not close Closed 2018-03-10

History

#1 - 2018-03-11 12:17 PM - Alessandro Pasotti

- Related to Bug report #18405: CRS selector does not close added

#2 - 2018-03-11 12:20 PM - Alessandro Pasotti

- Status changed from Open to Feedback

to help us to reproduce the issue, it would be useful if you could describe precisely how did you install QGIS, how and which repository you added, exact

output of apt-cache policy qgis etc.

Can you reproduce it on a clean ubuntu 16.04 xenial VM?

#3 - 2018-03-14 11:44 AM - Gavin Fleming

I installed with apt install qgis

then purged and removed all qgis* packages listed by dpkg

then reinstalled with aptitude install -f qgis

repositories:

deb http://qgis.org/ubuntugis xenial main

deb-src http://qgis.org/ubuntugis xenial main

deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial main

deb-src http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial main

apt-cache policy:

qgis:

  Installed: 1:3.0.0+24xenial-ubuntugis
  Candidate: 1:3.0.0+24xenial-ubuntugis

  Version table:

 *** 1:3.0.0+24xenial-ubuntugis 500

        500 http://qgis.org/ubuntugis xenial/main amd64 Packages

        100 /var/lib/dpkg/status

     2.18.17+dfsg-1~xenial1 500

        500 http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial/main amd64 Packages

     2.8.6+dfsg-1build1 500

        500 http://ubuntu.mirror.neology.co.za/ubuntu xenial/universe amd64 Packages

#4 - 2018-03-14 02:11 PM - Jürgen Fischer

Fresh install:

# cat /etc/apt/sources.list

deb http://approx:9999/ubuntu xenial main universe

deb http://qgis.org/ubuntugis xenial main

deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial main

# apt-get install qgis sqlite3

[...]

# apt-cache policy qgis gdal-data

qgis:

  Installed: 1:3.0.0+24xenial-ubuntugis

  Candidate: 1:3.0.0+24xenial-ubuntugis

  Version table:

 *** 1:3.0.0+24xenial-ubuntugis 500

        500 http://qgis.org/ubuntugis xenial/main amd64 Packages

        100 /var/lib/dpkg/status

     2.18.17+dfsg-1~xenial1 500

        500 http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial/main amd64 Packages

     2.8.6+dfsg-1build1 500

        500 http://approx:9999/ubuntu xenial/universe amd64 Packages

gdal-data:

  Installed: 2.2.2+dfsg-1~xenial1

  Candidate: 2.2.2+dfsg-1~xenial1

  Version table:

 *** 2.2.2+dfsg-1~xenial1 500

        500 http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial/main amd64 Packages

        100 /var/lib/dpkg/status

# sqlite3 /usr/share/qgis/resources/srs.db "select * from tbl_srs where auth_id in (4326,3857)" 

3452|WGS 84|longlat|WGS84|+proj=longlat +datum=WGS84 +no_defs|4326|EPSG|4326|1|0|0|

3857|WGS 84 / Pseudo Mercator|merc|WGS84|+proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m

+nadgrids=@null +wktext +no_defs|3857|EPSG|3857|0|0|0|

crssync isn't verbose anymore - and silent if there's no problem.  Do you see any output from qgis-providers-common's postinst?

#5 - 2018-08-16 02:13 PM - Giovanni Manghi

- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
